<?
/********************************************************************************/
/* 小林在贺卡 :	PHP+TXT							        */
/* ==============================						*/
/*  版本: v0.01 -- 2003.03.08					         	*/
/*										*/
/* ---------------------------------------------------				*/
/* - 程式版权 (c) 2003 小林所有	    -		                     		*/
/* - 小林在贺卡版权所有   http://www.xlzx.net.tf    -				*/
/* ---------------------------------------------------				*/
/*										*/
/*						                                */
/* 网站地址:  www.xlzx.net.tf - xlzx.24cc.com - OICQ:26565571		        */
/********************************************************************************/
/*简介：本软件无须数据库支持。                                                  */
/*                                                                              */
/*版权说明: 本软件为免费软件。你可以下载使用。但请保留此声明	                */
/*										*/
/* 本版为测试版。希望大家找出bug！大家多多提建议！	                        */ 
/* 	                                                                        */
/* 申明：由于使用本软件造成任何事故！本人概不负责！				*/
/*										*/
/*      作者：小林   E-mail:lilin525007@sina.com  网址：www.xlzx.net.tf         */
/********************************************************************************/
switch($action){
 case "login":
if(!file_exists("data/userdata/$ausername.php")){
echo "
<TABLE >
  <TBODY>
    <TR>
      <TD colspan=2 width=767 height=162></TD>
    </TR>
    <TR>
      <TD colspan=2 align=center><FONT color=#ff0000>错误:用户名不存在!</FONT></TD>
    </TR>
    <TR>
      <TD colspan=2 height=174></TD>
    </TR>
  </TBODY>
</TABLE>
<br>
";
include("RETRUN.php"); exit;}
include("data/userdata/$ausername.php");
if($apassword!=$addpassword){
echo "<TABLE >
  <TBODY>
    <TR>
      <TD colspan=2 width=767 height=162></TD>
    </TR>
    <TR>
      <TD colspan=2 align=center><FONT color=#ff0000>错误:密码不正确!</FONT></TD>
    </TR>
    <TR>
      <TD colspan=2 height=174></TD>
    </TR>
  </TBODY>
</TABLE>
<br>
";
include("RETRUN.php"); exit;}
$cookietime=time()+3600;
SetCookie(php_xlzx_usernm,$ausername,$cookietime);
SetCookie(php_xlzx_userpw,$apassword,$cookietime);
header("location:index.php");
break;
case "unlogin":
$cookietime=time()-3600;
SetCookie(php_xlzx_usernm,$ausername,$cookietime);
SetCookie(php_xlzx_userpw,$apassword,$cookietime);
header("location:index.php");
break;}
?>